smolbote(5) "smolbote profile configuration"

# NAME

smolbote profile format

# DESCRIPTION

A profile is a collection of settings, policies, scripts, cookies, cache and
history. They store their data separately, and can be used to isolate pages from
each other.

Off-the-record profiles only use in-memory cache and don't keep cookies or
history between sessions. They are useful as a private browsing mode.

Each subwindow has a default profile it uses when opening new tabs. This can be
changed from the _Subwindow_ menu. Additionally, tabs can have their profiles
individually changed from the _Page_ menu.

Profiles can be either temporary or permanent. Temporary profiles expire when
the application is closed, whereas permanent profiles are kept between runs.

The browser will save changes made to profiles automatically. If you want to
prevent modifications, set the corresponding .profile to read-only.

# SECTIONS

Profiles are defined in an INI format file with a `.profile` extension. The file
name is used as the profile's ID.
If no value is specified, the default value is used instead.

## General
- `name`: Name (Default: same as the ID)
- `otr`: Off-the-record toggle, true or false (Default: true)
- `search`: The search engine URL, with the following format:
  https://engine.url/q=%1, where %1 will be substituted by the search term.
- `homepage`: The homepage URL. (Default: about:blank)
- `newtab`: The URL that should be loaded by default when opening a new tab with
  this profile. (Default: about:blank)

## properties
- `cachePath`
- `persistentStoragePath`
- `persistentCookiesPolicy`
- `httpAcceptLanguage`
- `httpCacheMaximumSize`
- `httpCacheType`
- `httpUserAgent`
- `spellCheckEnabled`

See the QtWebEngine documentation[0] for more information.

## attributes
QWebEngineSettings::WebAttribute, see the QtWebEngine documentation[1] for more
information.

## headers
HTTP headers that should be enforced by the profile.

# EXAMPLES
To check where profiles are read from, you can use:
	$ poi configuration --dump | grep profile.path

Creating a `otr.profile` file in that location will create a permanent
off-the-record profile with an ID of `otr`. You can customize it further:

```
[General]
name=off-the-record

[headers]
Dnt=1
```

This will name the profile `off-the-record` in menus, and cause it to send out a
Dnt (Do not track) header.

# SEE ALSO
0: https://doc.qt.io/qt-5/qwebengineprofile.html++
1: https://doc.qt.io/qt-5/qwebenginesettings.html
