/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#include "bookmarkformat.h"
#include "bookmarkitem.h"
#include "formats/ffjson.h"
#include "formats/xbel.h"
#include <QIODevice>

template <>
void BookmarkFormat<BookmarkFormats::XbelFormat>::read(BookmarkItem *root) const
{
    Xbel::read(m_device, root);
}

template <>
void BookmarkFormat<BookmarkFormats::XbelFormat>::write(const BookmarkItem *root)
{
    Xbel::write(m_device, root);
}

template <>
void BookmarkFormat<BookmarkFormats::FirefoxJsonFormat>::read(BookmarkItem *root) const
{
    FFJson::read(m_device, root);
}
