/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_ELIDEDLABEL_H
#define SMOLBOTE_ELIDEDLABEL_H

#include <QLabel>

class ElidedLabel : public QLabel
{
    Q_OBJECT

public:
    explicit ElidedLabel(QWidget *parent = nullptr);

    const QString &text() const
    {
        return content;
    }
    void setText(const QString &text);

protected:
    void elideText();
    void resizeEvent(QResizeEvent *event) override;

private:
    QString content;
};

#endif // SMOLBOTE_ELIDEDLABEL_H
