#include <gtest/gtest.h>
#include "hostlist/hostlist.h"
#include <QFile>

HostList *list = nullptr;

TEST(AdBlockList, Block) {
    EXPECT_EQ(list->match(QUrl(), QUrl::fromUserInput("blockeddomain.com"),     QWebEngineUrlRequestInfo::ResourceTypeMainFrame).first, UrlFilter::Block);
    EXPECT_EQ(list->match(QUrl(), QUrl::fromUserInput("blockeddomain.first"),   QWebEngineUrlRequestInfo::ResourceTypeMainFrame).first, UrlFilter::Block);
    EXPECT_EQ(list->match(QUrl(), QUrl::fromUserInput("blockeddomain.second"),  QWebEngineUrlRequestInfo::ResourceTypeMainFrame).first, UrlFilter::Block);

    const auto r = list->match(QUrl(), QUrl::fromUserInput("localhost.localdomain"), QWebEngineUrlRequestInfo::ResourceTypeMainFrame);
    EXPECT_EQ(r.first, UrlFilter::Redirect);
    EXPECT_EQ(r.second, QString("127.0.0.1"));

    EXPECT_EQ(list->match(QUrl(), QUrl::fromUserInput("other.domain"), QWebEngineUrlRequestInfo::ResourceTypeMainFrame).first, UrlFilter::NotMatched);
}

int main(int argc, char **argv) {
    QFile f("hostlist.txt");
    if(!f.open(QIODevice::ReadOnly | QIODevice::Text)) {
        qDebug("Could not open list");
        return -1;
    }

    list = new HostList(&f);
    f.close();

    qDebug("Parsed %i rules", list->ruleCount());

    testing::InitGoogleTest(&argc, argv);
    return RUN_ALL_TESTS();
}

