/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef PROFILEMANAGERDIALOG_H
#define PROFILEMANAGERDIALOG_H

#include <QDialog>
#include <QVector>
#include <QWebEngineProfile>
#include <smolbote/plugininterface.hpp>

namespace Ui {
    class ProfileManagerDialog;
}

class QListWidgetItem;
class ProfileManagerDialog : public ProfileDialog
{
    Q_OBJECT

    friend class ProfileEditorPlugin;

public:
    explicit ProfileManagerDialog(QWidget *parent = 0);
    ~ProfileManagerDialog() override;

public slots:
    int addProfile(const QString &id, const QString name, QWebEngineProfile *profile, QSettings *settings) override;
    void showProfile(int index) override;
    void showItem(QListWidgetItem *item);

private:
    Ui::ProfileManagerDialog *ui;
};

#endif // PROFILEMANAGERDIALOG_H
