#include <QApplication>
#include "profileeditorplugin.h"
#include <QDialog>
#include <QTimer>
#include <QWebEngineProfile>

int main(int argc, char** argv)
{
    QApplication app(argc, argv);
    ProfileEditorPlugin plugin;

    auto *dlg = dynamic_cast<ProfileDialog*>(plugin.createWidget(nullptr));
    const auto i = dlg->addProfile("id", "testing", new QWebEngineProfile, new QSettings(QString(), QSettings::IniFormat, &app));
    dlg->show();

    if(qEnvironmentVariableIsSet("autoclose")) {
        dlg->showProfile(i);
        QTimer::singleShot(200, dlg, &QDialog::accept);
    }

    return app.exec();
}
