/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/cgit/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_APPLICATION_MENU_H
#define SMOLBOTE_APPLICATION_MENU_H

#include <QMenu>

class Browser;
class QPluginLoader;
class ApplicationMenu : public QMenu
{
    Q_OBJECT

public:
    ApplicationMenu(Browser *app, QWidget *parent = nullptr);
    ~ApplicationMenu() = default;

public slots:
    void addPlugin(QPluginLoader *plugin);

private:
    Browser *m_app = nullptr;
    QAction *top_pluginSeparator = nullptr, *bottom_pluginSeparator = nullptr;
};

#endif // SMOLBOTE_APPLICATION_MENU_H
