/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef BOOKMARKSTOOLBAR
#define BOOKMARKSTOOLBAR

#include <QToolBar>

class BookmarkModel;
class BookmarkItem;
class MainWindow;
class BookmarksToolbar : public QToolBar
{
public:
    explicit BookmarksToolbar(const BookmarkModel *model, MainWindow *parent = nullptr);

private:
    void addBookmark(const BookmarkItem *item, QMenu *where = nullptr);
    void addFolder(const BookmarkItem *item, QMenu *where = nullptr);

    MainWindow *m_window = nullptr;
};

#endif // BOOKMARKSTOOLBAR
