/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_EDITBOOKMARKDIALOG_H
#define SMOLBOTE_EDITBOOKMARKDIALOG_H

#include <QDialog>
#include <QModelIndex>

namespace Ui
{
class EditBookmarkDialog;
}

class BookmarkModel;
class EditBookmarkDialog : public QDialog
{
    Q_OBJECT

public:
    explicit EditBookmarkDialog(BookmarkModel *model, const QModelIndex &index, QWidget *parent = nullptr);
    ~EditBookmarkDialog() override;

public slots:
    void saveChanges();

private:
    Ui::EditBookmarkDialog *ui;

    BookmarkModel *m_model;
    QModelIndex m_index;

    bool titleChanged = false;
    bool hrefChanged = false;
    bool tagsChanged = false;
    bool descriptionChanged = false;
};

#endif // SMOLBOTE_EDITBOOKMARKDIALOG_H
