/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_ADDRESSBAR_H
#define SMOLBOTE_ADDRESSBAR_H

#include <QWidget>
#include <functional>

namespace Ui {
class AddressBar;
}

class WebView;
class AddressBar : public QWidget
{
    Q_OBJECT

public:
    AddressBar(QWidget *parent = nullptr);
    ~AddressBar() = default;

signals:
    void complete(const QString &term, std::function<void(QStringList &)> callback);

    void search(const QString &term);
    void load(const QUrl &url);
    void giveFocus();

public slots:
    void connectView(WebView *view);

private:
    Ui::AddressBar *ui;

    QMetaObject::Connection url_connection;
    QMetaObject::Connection progress_connection;
    QMetaObject::Connection search_connection;
    QMetaObject::Connection focus_connection;
    QMetaObject::Connection load_connection;
};

#endif // SMOLBOTE_ADDRESSBAR_H
