/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://library.iserlohn-fortress.net/aqua/smolbote.git
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_SAVESESSIONDIALOG_H
#define SMOLBOTE_SAVESESSIONDIALOG_H

#include <QDialog>

namespace Ui
{
class SaveSessionDialog;
}

class SaveSessionDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SaveSessionDialog(QWidget *parent = nullptr);
    explicit SaveSessionDialog(const SaveSessionDialog &) = delete;
    explicit SaveSessionDialog(SaveSessionDialog &&) = delete;
    SaveSessionDialog &operator=(const SaveSessionDialog &) = delete;
    SaveSessionDialog &operator=(SaveSessionDialog &&) = delete;
    ~SaveSessionDialog() override;

public slots:
    void save(const QString &sessionPath);

private:
    Ui::SaveSessionDialog *ui;
};

#endif // SMOLBOTE_SAVESESSIONDIALOG_H
