/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#include "urlinterceptor.h"
#include "webprofile.h"

// test DNT on https://browserleaks.com/donottrack

UrlRequestInterceptor::UrlRequestInterceptor(WebProfile* profile)
    : QWebEngineUrlRequestInterceptor(profile)
{
    Q_CHECK_PTR(profile);
    m_profile = profile;
}

void UrlRequestInterceptor::interceptRequest(QWebEngineUrlRequestInfo &info)
{
    for(auto *filter : qAsConst(m_profile->m_filters)) {
        filter->interceptRequest(info);
    }

    // set headers
    for(auto i = m_profile->m_headers.constBegin(); i != m_profile->m_headers.constEnd(); ++i) {
        info.setHttpHeader(i.key(), i.value());
    }
}

