/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_URLREQUESTINTERCEPTOR_H
#define SMOLBOTE_URLREQUESTINTERCEPTOR_H

#include <QWebEngineUrlRequestInterceptor>

class WebProfile;
class UrlRequestInterceptor : public QWebEngineUrlRequestInterceptor
{
    friend class WebProfile;

public:
    ~UrlRequestInterceptor() override = default;

    void interceptRequest(QWebEngineUrlRequestInfo &info) override;

protected:
    explicit UrlRequestInterceptor(WebProfile *profile);

private:
    WebProfile *m_profile;
};

#endif // SMOLBOTE_URLREQUESTINTERCEPTOR_H
